
Infrastructure - Task #1484

Story # 725 (In Progress): Create Authentication and Access control design specifications

Decide on format for Principals

2011-04-06 18:12 - Matthew Jones

Status: New Start date:  

Priority: Normal Due date:  

Assignee: Matthew Jones % Done: 0%

Category:  Estimated time: 0.00 hour

Target version: Maintenance Backlog   

Milestone:  Story Points:  

Product Version: *   

Description

Need to define the formate for Principal identifiers in DataONE.  Choices are outlined in the architecture docs, and include:

1) LDAP DN

2) X.509 DN

3) eduPersonPrincipalName

History

#1 - 2011-04-06 19:02 - Matthew Jones

- Subject changed from Decide on format for C1 Principals to Decide on format for Principals

#2 - 2012-10-11 15:27 - Dave Vieglais

- Target version changed from Sprint-2012.37-Block.5.3 to Sprint-2012.41-Block.6.1

#3 - 2012-10-24 18:10 - Dave Vieglais

- Target version changed from Sprint-2012.41-Block.6.1 to Sprint-2012.46-Block.6.3

#4 - 2012-12-12 16:50 - Chris Jones

- Target version changed from Sprint-2012.46-Block.6.3 to Sprint-2012.50-Block.6.4

#5 - 2012-12-12 19:09 - Chris Jones

- Target version changed from Sprint-2012.50-Block.6.4 to 2013.2-Block.1.1

#6 - 2013-03-01 18:57 - Chris Jones

- Target version changed from 2013.2-Block.1.1 to 2013.10-Block.2.1

#7 - 2013-08-02 12:22 - Dave Vieglais

- Target version changed from 2013.10-Block.2.1 to 2013.33-Block.4.4

#8 - 2014-01-06 17:50 - Chris Jones

- Target version changed from 2013.33-Block.4.4 to 2014.2-Block.1.1

#9 - 2014-03-14 17:29 - Chris Jones

- Target version deleted (2014.2-Block.1.1)

#10 - 2014-10-01 20:47 - Dave Vieglais

- Target version set to Maintenance Backlog
